r41679 - in /trunk/libnet-libidn-perl/debian: changelog repack.local repack.stub watch

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Tue Aug 11 23:10:50 UTC 2009


Author: ryan52-guest
Date: Tue Aug 11 23:10:44 2009
New Revision: 41679

URL: http://svn.debian.org/wsvn/pkg-perl/?sc=1&rev=41679
Log:
add repack.stub to handle removing the upstream debian dir

Added:
    trunk/libnet-libidn-perl/debian/repack.local
    trunk/libnet-libidn-perl/debian/repack.stub   (with props)
Modified:
    trunk/libnet-libidn-perl/debian/changelog
    trunk/libnet-libidn-perl/debian/watch

Modified: trunk/libnet-libidn-perl/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libnet-libidn-perl/debian/changelog?rev=41679&op=diff
==============================================================================
--- trunk/libnet-libidn-perl/debian/changelog (original)
+++ trunk/libnet-libidn-perl/debian/changelog Tue Aug 11 23:10:44 2009
@@ -9,8 +9,9 @@
     Uploaders.
   * Add debian/watch.
   * debian/rules: delete /usr/share/perl5 only if it exists.
+  * add repack.stub to handle removing the upstream debian dir
 
- -- Ryan Niebur <ryanryan52 at gmail.com>  Sun, 09 Aug 2009 18:50:32 -0700
+ -- Ryan Niebur <ryanryan52 at gmail.com>  Tue, 11 Aug 2009 16:10:29 -0700
 
 libnet-libidn-perl (0.07-1) unstable; urgency=low
 

Added: trunk/libnet-libidn-perl/debian/repack.local
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libnet-libidn-perl/debian/repack.local?rev=41679&op=file
==============================================================================
--- trunk/libnet-libidn-perl/debian/repack.local (added)
+++ trunk/libnet-libidn-perl/debian/repack.local Tue Aug 11 23:10:44 2009
@@ -1,0 +1,2 @@
+SUFFIX=.ds
+rm debian/

Added: trunk/libnet-libidn-perl/debian/repack.stub
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libnet-libidn-perl/debian/repack.stub?rev=41679&op=file
==============================================================================
--- trunk/libnet-libidn-perl/debian/repack.stub (added)
+++ trunk/libnet-libidn-perl/debian/repack.stub Tue Aug 11 23:10:44 2009
@@ -1,0 +1,82 @@
+#!/bin/sh
+
+: <<=cut
+=pod
+
+=head1 NAME
+
+repack.stub - script to repack upstream tarballs from uscan
+
+=head1 INSTRUCTIONS
+
+put this in debian/repack.stub and add "debian sh debian/repack.stub" to
+the end of the line in debian/watch. you will also need to add a version
+mangle to debian/watch.
+
+then create a debian/repack.local. this is a shell script that is
+sources under "set -e", so be careful to check returns codes.
+
+=head1 FUNCTIONS
+
+=over 4
+
+=item rm
+
+rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item mv
+
+mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
+
+=item requires_version
+
+requires_version is there for future usage for requiring certain versions of the script
+
+=back
+
+=head1 VARIABLES
+
+=over 4
+
+=item SUFFIX
+
+defaults to +dfsg
+
+what to append to the upstream version
+
+=item RM_OPTS
+
+defaults to -vrf
+
+options to pass to rm
+
+=item MANIFEST
+
+defaults to 0, set to 1 to turn on.
+
+this will manipulate MANIFEST files in CPAN tarballs.
+
+=item UP_BASE
+
+this is the directory where the upstream source is.
+
+=back
+
+=cut
+
+if [ -z "$REPACK_SH" ]; then
+    if [ -f ../../scripts/repack.sh ]; then
+        REPACK_SH=../../scripts/repack.sh
+    fi
+    if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
+        REPACK_SH=$(which repack.sh)
+    fi
+fi
+
+if [ ! -f "$REPACK_SH" ]; then
+    echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
+    echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
+    exit 1
+fi
+
+exec "$REPACK_SH" "$@"

Propchange: trunk/libnet-libidn-perl/debian/repack.stub
------------------------------------------------------------------------------
    svn:executable = *

Modified: trunk/libnet-libidn-perl/debian/watch
URL: http://svn.debian.org/wsvn/pkg-perl/trunk/libnet-libidn-perl/debian/watch?rev=41679&op=diff
==============================================================================
--- trunk/libnet-libidn-perl/debian/watch (original)
+++ trunk/libnet-libidn-perl/debian/watch Tue Aug 11 23:10:44 2009
@@ -1,2 +1,3 @@
 version=3
-http://search.cpan.org/dist/Net-LibIDN/  .+/Net-LibIDN-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
+opts="dversionmangle=s/\.ds$//" http://search.cpan.org/dist/Net-LibIDN/  .+/Net-LibIDN-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$ debian sh debian/repack.stub
+




More information about the Pkg-perl-cvs-commits mailing list